[0.8] How do I fix the compiling error “recipe for target '/src/leveldb/libleveldb.a' failed”?

applies to Scrypt, Scrypt PoW/PoS and SHA-256
branch 0.8

updated July 30, 2019, 4:02 pm

The error is caused by the file src/leveldb/build_detect_platform, that is not executable.

Use the following instructions fix the compiling error “recipe for target '/src/leveldb/libleveldb.a' failed”.

1) Open a terminal in Linux.
2) Go to the directory of your source code.
3) Execute the following command to make the file executable.

chmod +x src/leveldb/build_detect_platform

Share